
package com.tmerclub.cloud.user.constant;

import java.util.Objects;

/**
 * 触发页面类型 1.平台首页 2.会员中心 3.支付成功 4.店铺首页 5.商品详情
 * @author TRACK
 */
public enum PopupPageTypeEnum {

    /**
     * 平台首页
     */
    SYS_HOME(1),

    /**
     * 会员中心
     */
    MEMBER_CENTER(2),

    /**
     * 支付成功
     */
    PAY_SUCCESS(3),

    /**
     * 店铺首页
     */
    SHOP_HOME(4),

    /**
     * 商品详情
     */
    SPU_DETAIL(5);

    private final Integer value;

    public Integer value() {
        return value;
    }

    PopupPageTypeEnum(Integer value) {
        this.value = value;
    }

    public static Boolean isSys(Integer value) {
        return Objects.equals(value, SYS_HOME.value) || Objects.equals(value, MEMBER_CENTER.value) || Objects.equals(value, PAY_SUCCESS.value);
    }

    public static Boolean isShop(Integer value) {
        return Objects.equals(value, SHOP_HOME.value) || Objects.equals(value, SPU_DETAIL.value);
    }

}
